#!/bin/bash
# This script builds the Docker image
# 读取第一个参数
if [ $# -ne 3 ]; then
  echo "错误：调用该脚本时必须传入 3 个参数 分别为服务名 镜像名 包名"
  exit 1
fi
echo "服务名: $1 Image $2 Java包: $3"
rm tuoheng.jar
cp $3 tuoheng.jar
source ../environment.sh
#docker service rm $APP_NAME
sleep 5
docker container prune -f
sleep 5
cp /data/java/apache-skywalking-java-agent-9.0.0.tgz apache-skywalking-java-agent-9.0.0.tgz
docker image rm $2
docker build --no-cache \
  --build-arg SW_APP_NAME=$1 \
  --build-arg SW_AGENT_COLLECTOR_BACKEND_SERVICES=${SKYWALKING_OAP_NAME}:11800 \
  -t $2 .  # 注意末尾的 `.` 表示当前路径
docker push $2                                                                                               